require 'rails/generators'

class Cssbt::FoundationGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)
  argument :layout_name, :type => :string, :default => "application"

  def insert
  	insert_into_file "app/assets/stylesheets/application.css", "*= require foundation\n", :after => "*= require_self\n"
    insert_into_file "app/assets/javascripts/application.js", "//= require foundation\n", :after => "//= require jquery\n"
  end

  def copy
  	copy_file "foundation.css", "app/assets/stylesheets/foundation.css"
  	copy_file "foundation.min.js", "app/assets/javascripts/foundation.js"
  end	
end