require 'rails/generators'

class Cssbt::TwbsGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)
  argument :layout_name, :type => :string, :default => "application"


  def insert
  	insert_into_file "app/assets/stylesheets/application.css", "*= require bootstrap\n", :after => "*= require_self\n"
    insert_into_file "app/assets/javascripts/application.js", "//= require bootstrap\n", :after => "//= require jquery\n"
  end
    
  def copy
  	copy_file "bootstrap.css", "app/assets/stylesheets/bootstrap.css"
  	copy_file "bootstrap.js", "app/assets/javascripts/bootstrap.js"
  end	
end
